Need to Build Cef 75.0.7.0

Do not post support requests, bug reports or feature requests. Discuss CEF here. Non-CEF related discussion goes in General Discussion!

Need to Build Cef 75.0.7.0

Postby sharifuldeadman » Tue Jul 02, 2019 12:44 pm

I need to build 75.0.7.0. I have built by following https://bitbucket.org/chromiumembedded/cef/wiki/MasterBuildQuickStart.md which produce 75.0.0.0. Can anyone please help me how to build 75.0.7.0?
sharifuldeadman
Newbie
 
Posts: 7
Joined: Tue Jun 18, 2019 9:40 am

Re: Need to Build Cef 75.0.7.0

Postby magreenblatt » Tue Jul 02, 2019 12:57 pm

Why do you need 75.0.7.0 specifically? Add `--branch=3770` to your automate-git.py command line to build the most recent commit of the 75 release branch, which should be compatible with 75.0.7.0.
magreenblatt
Site Admin
 
Posts: 9836
Joined: Fri May 29, 2009 6:57 pm

Re: Need to Build Cef 75.0.7.0

Postby sharifuldeadman » Thu Jul 04, 2019 9:01 am

magreenblatt wrote:Why do you need 75.0.7.0 specifically? Add `--branch=3770` to your automate-git.py command line to build the most recent commit of the 75 release branch, which should be compatible with 75.0.7.0.


I used Cef4Delphi which used CEF 75.0.7.0. In which line of automate-git.py will I add `--branch=3770`? Please see image http://prntscr.com/oakg7q
sharifuldeadman
Newbie
 
Posts: 7
Joined: Tue Jun 18, 2019 9:40 am

Re: Need to Build Cef 75.0.7.0

Postby Czarek » Thu Jul 04, 2019 9:17 am

Go to Spotify builds ( http://opensource.spotify.com/cefbuilds/index.html ), click "Show more builds" and find the version you want. After the version number you will see a string starting with "g" e.g. "g19229b6" which says which revision it uses. When running automate-git.py script use switches like this: "automate-git.py ...other switches.. --branch=3770 --checkout=19229b6" with "g" being cut from the revision string.
Maintainer of the CEF Python, PHP Desktop and CEF C API projects. I'm available for contract work, see my resume.
User avatar
Czarek
Virtuoso
 
Posts: 1829
Joined: Sun Nov 06, 2011 2:12 am

Re: Need to Build Cef 75.0.7.0

Postby sharifuldeadman » Thu Jul 04, 2019 2:17 pm

Czarek wrote:Go to Spotify builds ( http://opensource.spotify.com/cefbuilds/index.html ), click "Show more builds" and find the version you want. After the version number you will see a string starting with "g" e.g. "g19229b6" which says which revision it uses. When running automate-git.py script use switches like this: "automate-git.py ...other switches.. --branch=3770 --checkout=19229b6" with "g" being cut from the revision string.


This is my update.bat
set CEF_USE_GN=1
set GN_DEFINES=is_official_build=true proprietary_codecs=true ffmpeg_branding=Chrome
set GN_ARGUMENTS=--ide=vs2017 --sln=cef --filters=//cef/*
python ..\automate\automate-git.py --download-dir=C:\code\chromium_git --depot-tools-dir=C:\code\depot_tools --no-distrib --no-build --branch=3770 --checkout=2c92fcd

After built I got expected libcef.dll 75.0.7.0 version: found libcef.dll version: 75.0.13.0

Please see this http://prntscr.com/oaon4d

As per CEF4Delphi "CEF4Delphi uses CEF 75.0.13 which includes Chromium 75.0.3770.100"

Which revision is 75.0.7.0? Please help.
sharifuldeadman
Newbie
 
Posts: 7
Joined: Tue Jun 18, 2019 9:40 am

Re: Need to Build Cef 75.0.7.0

Postby Czarek » Thu Jul 04, 2019 2:35 pm

It's revision 19229b6.... :roll:
Maintainer of the CEF Python, PHP Desktop and CEF C API projects. I'm available for contract work, see my resume.
User avatar
Czarek
Virtuoso
 
Posts: 1829
Joined: Sun Nov 06, 2011 2:12 am

Re: Need to Build Cef 75.0.7.0

Postby sharifuldeadman » Fri Jul 05, 2019 12:44 am

Czarek wrote:It's revision 19229b6.... :roll:


Thanks for your contribution. It did work with revision 2c92fcd.
sharifuldeadman
Newbie
 
Posts: 7
Joined: Tue Jun 18, 2019 9:40 am


Return to CEF Discussion

Who is online

Users browsing this forum: siddharthg and 3 guests